Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc.internal
[Java] Class StringEscapeCategory

    java.lang.Object
      grails.doc.internal.StringEscapeCategory

    public class StringEscapeCategory

Method Summary
`static java.lang.String` | `encodeAsHtml(java.lang.String str)`
`static java.lang.String` | `encodeAsUrlFragment(java.lang.String str)`
`static java.lang.String` | `encodeAsUrlPath(java.lang.String str)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### encodeAsHtml

    public static java.lang.String encodeAsHtml(java.lang.String str)

### encodeAsUrlFragment

    public static java.lang.String encodeAsUrlFragment(java.lang.String str)

### encodeAsUrlPath

    public static java.lang.String encodeAsUrlPath(java.lang.String str)

Groovy Documentation